[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListColumns.Update

Checks whether the collection update is actually need and calls the inherited method.

## Declaration

Source position: comctrls.pp line 1276

`public procedure TListColumns.Update(`
`Item: TCollectionItem`
`); override;`

## Arguments

`Item` |  | Collection item (TListColumn) updated in the method, or Nil.

## Description

Update is an overridden method in TListColumns. It checks whether the update is actually needed for the collection when the value in Item is Nil. If the collection update is required, Item is set to the internal collection item that has been cached for the action. This occurs when the collection calls its Changed method with its AllItems argument set to True.

Update calls the inherited method using the value in Item as an argument.

## See also

TCollection